petsc-3.4.2 2013-07-02

# KSPGMRESSetCGSRefinementType

Sets the type of iterative refinement to use in the classical Gram Schmidt orthogonalization.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPGMRESSetCGSRefinementType(KSP ksp,KSPGMRESCGSRefinementType type)

Logically Collective on KSP

### Input Parameters

| ksp | - the Krylov space context
| type | - the type of refinement

### Options Database

-ksp_gmres_cgs_refinement_type <never,ifneeded,always> -

### Keywords

KSP, GMRES, iterative refinement

### See Also

KSPGMRESSetOrthogonalization(), KSPGMRESCGSRefinementType, KSPGMRESClassicalGramSchmidtOrthogonalization(), KSPGMRESGetCGSRefinementType(),
KSPGMRESGetOrthogonalization()

Level:intermediate
Location:src/ksp/ksp/impls/gmres/gmres.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages